%define	name	kradio4
%define	version 4.0.8
%define	release	%mkrel 1
%define	Summary	A V4L/V4L2-Radio Application for KDE 4.x

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Graphical desktop/KDE4
License:	GPLv2+
Url:		http://sourceforge.net/projects/kradio/
Source0:	http://downloads.sourceforge.net/kradio/%{name}-%{version}.tar.xz
Patch2:		kradio-fix-invalid-desktop.patch
Patch3:		kradio4-install-desktop.patch
BuildRequires:	kdelibs-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libalsa-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	libmms-devel
BuildRequires:	%{_lib}lame0-devel
BuildRequires:	lirc-devel
BuildRequires:	oggvorbis-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Comfortable Radio Application for KDE 4.x

KRadio is a comfortable radio application for KDE 4.x.
It has support for V4L and V4L2 radio cards drivers.

KRadio currently provides:

* V4L/V4L2 Radio support
* Remote Control support (LIRC)
* Alarms, Sleep Countdown
* Several GUI Controls (Docking Menu, Station Quickbar, Radio Display)
* Recording Capabilities
* Extendable Plugin Architecture

This Package also includes a growing collection of station preset.
files for many cities around the world contributed by KRadio Users.

%prep
%setup -q -n %{name}-%{version}
%patch2 -p1 -b .xdg
%patch3 -p1 -b .install


%build
%cmake_kde4
%make
 
%install
rm -rf %{buildroot}
%makeinstall_std -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop


rm -fr %buildroot%_datadir/doc/*

%find_lang %name --all-name

%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}
 
%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README TODO
%{_kde_bindir}/*
%{_kde_libdir}/%{name}
%{_kde_datadir}/applications/kde4/*.desktop
%{_kde_appsdir}/%{name}
%{_kde_iconsdir}/*/*/*/*
%{_kde_datadir}/pixmaps/kradio4.png

%changelog
* Tue Jul 07 2015 pp <pp> 4.0.8-1pclos2015
- update

* Thu Oct 31 2013 pinoc <vogtpet at gmail.com> 4.0.7-1pclos2013
- 4.0.7

* Sat Oct 05 2013 billybot <billybot> 4.0.5-2pclos2013
- rebuild for new ffmpeg

* Mon Aug 06 2012 Neal <nealbrks0 at gmail dot com> 4.0.5-1pclos2012
- process

* Mon Aug 06 2012 Archie Arevalo <pclinuxos.ph at gmail.com> _archie_2012
- update

* Mon Jun 04 2012 Neal <nealbrks0 at gmail dot com> 4.0.4-2pclos2012
- process

* Tue Feb 21 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.0.4-2_archie_2011
- Rebuild

* Tue Feb 21 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.0.4-1_archie_2011
- update and rebuild for 4.8.0 x86_64

* Mon Feb 21 2011 texstar <texstar.com>
- rebuild against kde 4.6.0

* Sun Jan 09 2011 Texstar <texstar at gmail.com> 4.0.2-1pclos2011
- 4.0.2

* Sun Oct 03 2010 Texstar <texstar at gmail.com> 4.0.1-1pclos2010
- 4.0.1

* Thu Jun 10 2010 Texstar <texstar at gmail.com> 4.0.0-1pclos2010
- initial package for pclos 2010

